Title: Site Settings
Author: K. Adam White
Published: December 6, 2016
Last modified: January 16, 2024

---

# Site Settings

## In this article

 * [Schema](https://developer.wordpress.org/rest-api/reference/settings/?output_format=md#schema)
 * [Retrieve a Site Setting](https://developer.wordpress.org/rest-api/reference/settings/?output_format=md#retrieve-a-site-setting)
    - [Definition & Example Request](https://developer.wordpress.org/rest-api/reference/settings/?output_format=md#definition-example-request)
 * [Update a Site Setting](https://developer.wordpress.org/rest-api/reference/settings/?output_format=md#update-a-site-setting)
    - [Arguments](https://developer.wordpress.org/rest-api/reference/settings/?output_format=md#arguments)
    - [Definition](https://developer.wordpress.org/rest-api/reference/settings/?output_format=md#definition)
    - [Example Request](https://developer.wordpress.org/rest-api/reference/settings/?output_format=md#example-request)

[ Back to top](https://developer.wordpress.org/rest-api/reference/settings/?output_format=md#wp--skip-link--target)

## 󠀁[Schema](https://developer.wordpress.org/rest-api/reference/settings/?output_format=md#schema)󠁿

The schema defines all the fields that exist within a Site Setting record. Any response
from these endpoints can be expected to contain the fields below unless the `_filter`
query parameter is used or the schema field only appears in a specific context.

 |   `title`  |   Site title.

 JSON data type: string

Context:

  |  
 |   `description`  |   Site tagline.

 JSON data type: string

Context:

  |  
 |   `url`  |   Site URL.

 JSON data type: string,
 Format: uri

Context:

  |  
 |   `email`  |   This address is used for admin purposes, like new user notification.

 JSON data type: string,
 Format: email

Context:

  |  
 |   `timezone`  |   A city in the same timezone as you.

 JSON data type: string

Context:

  |  
 |   `date_format`  |   A date format for all date strings.

 JSON data type: string

Context:

  |  
 |   `time_format`  |   A time format for all time strings.

 JSON data type: string

Context:

  |  
 |   `start_of_week`  |   A day number of the week that the week should start on.

 JSON data type: integer

Context:

  |  
 |   `language`  |   WordPress locale code.

 JSON data type: string

Context:

  |  
 |   `use_smilies`  |   Convert emoticons like :-) and :-P to graphics on display.

 JSON data type: boolean

Context:

  |  
 |   `default_category`  |   Default post category.

 JSON data type: integer

Context:

  |  
 |   `default_post_format`  |   Default post format.

 JSON data type: string

Context:

  |  
 |   `posts_per_page`  |   Blog pages show at most.

 JSON data type: integer

Context:

  |  
 |   `show_on_front`  |   What to show on the front page

 JSON data type: string

Context:

  |  
 |   `page_on_front`  |   The ID of the page that should be displayed on the front page

 JSON data type: integer

Context:

  |  
 |   `page_for_posts`  |   The ID of the page that should display the latest posts

 JSON data type: integer

Context:

  |  
 |   `default_ping_status`  |   Allow link notifications from other blogs (pingbacks and trackbacks) on new articles.

 JSON data type: string

Context:

 One of: `open`, `closed`

 |  
 |   `default_comment_status`  |   Allow people to submit comments on new posts.

 JSON data type: string

Context:

 One of: `open`, `closed`

 |  
 |   `site_logo`  |   Site logo.

 JSON data type: integer

Context:

  |  
 |   `site_icon`  |   Site icon.

 JSON data type: integer

Context:

  |

## 󠀁[Retrieve a Site Setting](https://developer.wordpress.org/rest-api/reference/settings/?output_format=md#retrieve-a-site-setting)󠁿

### 󠀁[Definition & Example Request](https://developer.wordpress.org/rest-api/reference/settings/?output_format=md#definition-example-request)󠁿

 `GET /wp/v2/settings`

 Query this endpoint to retrieve a specific Site Setting record.

 `$ curl https://example.com/wp-json/wp/v2/settings`

 There are no arguments for this endpoint.

## 󠀁[Update a Site Setting](https://developer.wordpress.org/rest-api/reference/settings/?output_format=md#update-a-site-setting)󠁿

### 󠀁[Arguments](https://developer.wordpress.org/rest-api/reference/settings/?output_format=md#arguments)󠁿

 |   `[title](https://developer.wordpress.org/rest-api/reference/settings/?output_format=md#schema-title)`  |   Site title.  |  
 |   `[description](https://developer.wordpress.org/rest-api/reference/settings/?output_format=md#schema-description)`  |   Site tagline.  |  
 |   `[url](https://developer.wordpress.org/rest-api/reference/settings/?output_format=md#schema-url)`  |   Site URL.  |  
 |   `[email](https://developer.wordpress.org/rest-api/reference/settings/?output_format=md#schema-email)`  |   This address is used for admin purposes, like new user notification.  |  
 |   `[timezone](https://developer.wordpress.org/rest-api/reference/settings/?output_format=md#schema-timezone)`  |   A city in the same timezone as you.  |  
 |   `[date_format](https://developer.wordpress.org/rest-api/reference/settings/?output_format=md#schema-date_format)`  |   A date format for all date strings.  |  
 |   `[time_format](https://developer.wordpress.org/rest-api/reference/settings/?output_format=md#schema-time_format)`  |   A time format for all time strings.  |  
 |   `[start_of_week](https://developer.wordpress.org/rest-api/reference/settings/?output_format=md#schema-start_of_week)`  |   A day number of the week that the week should start on.  |  
 |   `[language](https://developer.wordpress.org/rest-api/reference/settings/?output_format=md#schema-language)`  |   WordPress locale code.  |  
 |   `[use_smilies](https://developer.wordpress.org/rest-api/reference/settings/?output_format=md#schema-use_smilies)`  |   Convert emoticons like :-) and :-P to graphics on display.  |  
 |   `[default_category](https://developer.wordpress.org/rest-api/reference/settings/?output_format=md#schema-default_category)`  |   Default post category.  |  
 |   `[default_post_format](https://developer.wordpress.org/rest-api/reference/settings/?output_format=md#schema-default_post_format)`  |   Default post format.  |  
 |   `[posts_per_page](https://developer.wordpress.org/rest-api/reference/settings/?output_format=md#schema-posts_per_page)`  |   Blog pages show at most.  |  
 |   `[show_on_front](https://developer.wordpress.org/rest-api/reference/settings/?output_format=md#schema-show_on_front)`  |   What to show on the front page  |  
 |   `[page_on_front](https://developer.wordpress.org/rest-api/reference/settings/?output_format=md#schema-page_on_front)`  |   The ID of the page that should be displayed on the front page  |  
 |   `[page_for_posts](https://developer.wordpress.org/rest-api/reference/settings/?output_format=md#schema-page_for_posts)`  |   The ID of the page that should display the latest posts  |  
 |   `[default_ping_status](https://developer.wordpress.org/rest-api/reference/settings/?output_format=md#schema-default_ping_status)`  |   Allow link notifications from other blogs (pingbacks and trackbacks) on new articles.
 One of: `open`, `closed`  |  
 |   `[default_comment_status](https://developer.wordpress.org/rest-api/reference/settings/?output_format=md#schema-default_comment_status)`  |   Allow people to submit comments on new posts. One of: `open`, `closed`  |  
 |   `[site_logo](https://developer.wordpress.org/rest-api/reference/settings/?output_format=md#schema-site_logo)`  |   Site logo.  |  
 |   `[site_icon](https://developer.wordpress.org/rest-api/reference/settings/?output_format=md#schema-site_icon)`  |   Site icon.  |

### 󠀁[Definition](https://developer.wordpress.org/rest-api/reference/settings/?output_format=md#definition)󠁿

 `POST /wp/v2/settings`

### 󠀁[Example Request](https://developer.wordpress.org/rest-api/reference/settings/?output_format=md#example-request)󠁿

First published

December 6, 2016

Last updated

January 16, 2024

Edit article

[ Improve it on GitHub: Site Settings ](https://github.com/WP-API/docs/edit/master/reference/settings.md)

Changelog

[ See list of changes: Site Settings ](https://github.com/WP-API/docs/commits/master/reference/settings.md)

[  Previous: Sidebars](https://developer.wordpress.org/rest-api/reference/sidebars/)

[  Next: Statuses](https://developer.wordpress.org/rest-api/reference/post-statuses/)